Bug 178682 - Badness in __msleep at drivers/scsi/sata_mv.c with adaptec 1420SA
Badness in __msleep at drivers/scsi/sata_mv.c with adaptec 1420SA
Status: CLOSED INSUFFICIENT_DATA
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
5
x86_64 Linux
medium Severity low
: ---
: ---
Assigned To: Jeff Garzik
Brian Brock
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-01-23 06:20 EST by Leonhard Zachl
Modified: 2013-07-02 22:27 EDT (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-02-05 08:34:57 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
log from module sata_mv (5.84 KB, text/plain)
2006-01-23 06:27 EST, Leonhard Zachl
no flags Details
sata_mv modules dmesg log entries (3.08 KB, text/plain)
2006-04-09 02:53 EDT, Hannu Martikka
no flags Details

  None (edit)
Description Leonhard Zachl 2006-01-23 06:20:20 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.8) Gecko/20050513 Fedora/1.0.4-1.3.1 Firefox/1.0.4

Description of problem:
when loading the module sata_mv (while booting) the message:

Badness in __msleep at drivers/scsi/sata_mv.c:1722 (Not tainted)

with a 'Call Trace' is logged.



Version-Release number of selected component (if applicable):
kernel-smp-2.6.15-1.1824_FC4 (kernel-smp-2.6.15-1.1823_FC4)

How reproducible:
Always

Steps to Reproduce:
1. boot 
2.
3.
  

Additional info:

the controller and all attached disks seems to operate normal.

the message doesn't appear with an vanilla 2.6.15 kernel!
Comment 1 Leonhard Zachl 2006-01-23 06:27:44 EST
Created attachment 123571 [details]
log from module sata_mv
Comment 2 Dave Jones 2006-02-03 02:11:05 EST
This is a mass-update to all currently open kernel bugs.

A new kernel update has been released (Version: 2.6.15-1.1830_FC4)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO_REPORTER state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

Thank you.
Comment 3 Leonhard Zachl 2006-02-06 08:44:49 EST
no difference with kernel-smp-2.6.15-1.1830_FC4
Comment 4 Hannu Martikka 2006-04-09 02:53:17 EDT
Created attachment 127519 [details]
sata_mv modules dmesg log entries
Comment 5 Hannu Martikka 2006-04-09 02:55:55 EDT
Comment on attachment 127519 [details]
sata_mv modules dmesg log entries

Badness also with 2.6.16-1.2069_FC4 (also with SMP-kernel).
Comment 6 Jason Van Patten 2006-05-09 05:50:21 EDT
I'm actually experiencing system locks, and this error message (during boot) is
the only thing I see wrong with the system.
Comment 7 Bryce 2006-09-14 06:39:36 EDT
To be honest this is also in 2.6.17-1.2174_FC5smp
The core problem is this code snipet

static inline void __msleep(unsigned int msec, int can_sleep)
{ 
        if (can_sleep)
                msleep(msec);
        else
                mdelay(msec);
}

The underlying problem is that this is broken code BECAUSE the kernel doesn't
like mdelay() from an irq context. Now while I might be able to identify the
issue I'm damned if I can write a patch for it (too much other work to worry about)

Phil
=--=
Comment 8 Dave Jones 2006-09-16 22:54:18 EDT
[This comment added as part of a mass-update to all open FC4 kernel bugs]

FC4 has now transitioned to the Fedora legacy project, which will continue to
release security related updates for the kernel.  As this bug is not security
related, it is unlikely to be fixed in an update for FC4, and has been migrated
to FC5.

Please retest with Fedora Core 5.

Thank you.
Comment 9 Bryce 2006-09-17 07:50:21 EDT
Humm ho,... this IS with fc5 fully updated etc etc
it may not be 'security' related but it's certainly in the 'data corruption very
likely' catagory.

Incidentally I'm seeing this bug listed as a fc5 bug so why was an fc4
attachment added? (odd)...
Comment 10 Dave Jones 2006-10-16 17:56:55 EDT
A new kernel update has been released (Version: 2.6.18-1.2200.fc5)
based upon a new upstream kernel release.

Please retest against this new kernel, as a large number of patches
go into each upstream release, possibly including changes that
may address this problem.

This bug has been placed in NEEDINFO state.
Due to the large volume of inactive bugs in bugzilla, if this bug is
still in this state in two weeks time, it will be closed.

Should this bug still be relevant after this period, the reporter
can reopen the bug at any time. Any other users on the Cc: list
of this bug can request that the bug be reopened by adding a
comment to the bug.

In the last few updates, some users upgrading from FC4->FC5
have reported that installing a kernel update has left their
systems unbootable. If you have been affected by this problem
please check you only have one version of device-mapper & lvm2
installed.  See bug 207474 for further details.

If this bug is a problem preventing you from installing the
release this version is filed against, please see bug 169613.

If this bug has been fixed, but you are now experiencing a different
problem, please file a separate bug for the new problem.

Thank you.
Comment 11 Dave Jones 2006-11-24 17:20:58 EST
This bug has been mass-closed along with all other bugs that
have been in NEEDINFO state for several months.

Due to the large volume of inactive bugs in bugzilla, this
is the only method we have of cleaning out stale bug reports
where the reporter has disappeared.

If you can reproduce this bug after installing all the
current updates, please reopen this bug.

If you are not the reporter, you can add a comment requesting
it be reopened, and someone will get to it asap.

Thank you.
Comment 12 Jon Stanley 2008-02-05 08:34:57 EST
Closing since there was an error in previous mass-close and they remained in
NEEDINFO.

Note You need to log in before you can comment on or make changes to this bug.